---
version: '3.5'
services:
  proxy:
    build:
      args:
        TRANSMISSION: "${TRANSMISSION}"
      context: ./
    #command: ["nginx", "-g", "daemon off;"]
    hostname: &hostname www.shore.co.il
    networks:
      default:
        aliases:
          - *hostname
          - nextcloud.shore.co.il
          - git.shore.co.il
    ports:
      - '80:80'
      - '443:443'
    restart: always
    volumes:
      - '/var/www/www.shore.co.il/.well-known/acme-challenge:/var/www/www.shore.co.il/.well-known/acme-challenge:ro'
      - '/var/www/mail.shore.co.il/.well-known/acme-challenge:/var/www/mail.shore.co.il/.well-known/acme-challenge:ro'
      - '/var/www/www.shore.co.il/blog:/var/www/www.shore.co.il/blog:ro'
      - '/var/www/www.shore.co.il/resume:/var/www/www.shore.co.il/resume:ro'
      - '/var/ssl/site.key:/var/ssl/site.key:ro'
      - '/var/ssl/site.crt:/var/ssl/site.crt:ro'
      - '/var/ssl/mail.key:/var/ssl/mail.key:ro'
      - '/var/ssl/mail.crt:/var/ssl/mail.crt:ro'
      - '/var/ssl/dhparams:/var/ssl/dhparams:ro'

networks:
  default:
    name: shore
